cs-cart 2.1.5

it should be around this week and next week right?

is it on schedule?

thanks

maybe or not :slight_smile:

[quote name=‘vidan’]it should be around this week and next week right?

is it on schedule?

thanks[/QUOTE]



Hello Vidan,



Thank you for your interest in our CS-Cart software.



CS-Cart 2.1.5 Edition will not be released in the nearest future because our engineers are working on CS-Cart 2.2.1 Edition hard. This Edition will have some new features and add-ons and it is planned to be released at the end of spring.

yeah don’t release new version too fast, take rest and time to complete some heavy features.

so no more release in the next 3 months?

last compatible version 2.1.4, is it stable?

[quote name=‘vidan’]so no more release in the next 3 months?

last compatible version 2.1.4, is it stable?[/QUOTE]



Dear Vidan,



Thank you for the reply.



Yes, you are right. CS-Cart 2.1.4 Edition is a stable version that introduces numerous regular fixes, and also some new features were added to it.

[quote name=‘vidan’]so no more release in the next 3 months?

last compatible version 2.1.4, is it stable?[/QUOTE]





2.14 is stable in my opinion and include the best speed improvement since version 1.3.5.

[QUOTE]last compatible version 2.1.4, is it stable?[/QUOTE]



Vidan, where in the world have you been? :confused:

[quote name=‘CS-Cart Support team’]Hello Vidan,



Thank you for your interest in our CS-Cart software.



CS-Cart 2.1.5 Edition will not be released in the nearest future because our engineers are working on CS-Cart 2.2.1 Edition hard. This Edition will have some new features and add-ons and it is planned to be released at the end of spring.[/QUOTE]



So my question here would be why release 2.1.5 at all? Just wait and release 2.2.1 when it’s solid. Since most of us have more than one store to manage, I am sure most of us would rather you put 100% of your effort into 2.2.1 and incorporate what you had for 2.1.5 into that one release. 2.1.4 is very stable for me as well and I am in no hurry to update, unless I get an updated jquery :slight_smile:

I say release v2.15 with bug fixes only so these bugs can be tested in live scenarios. For those happy with v2.1.4, don’t upgrade until v2.1.1. Win-win for everyone…no???

[quote name=‘nmb’]I say release v2.15 with bug fixes only so these bugs can be tested in live scenarios. For those happy with v2.1.4, don’t upgrade until v2.1.1. Win-win for everyone…no???[/QUOTE]



No. not if they are putting resources toward a 2.1.5 release which isn’t needed at this time. 2.1.4 was a bug fix. From the way it sounds 2.1.1 will be a pretty major release. I would rather see all hands on deck for that release. But that is just me.

I vote for wait longer get proper release :slight_smile:



Upgraded yesterday store from 2.07 to 2.1.4 it was a challenge…





Also I think that install of cs-cart is becoming too heavy. Would it be possible to make something similar as upgrade center - addon center, selected addons could be just downloaded from cs-cart server…

[quote name=‘Struck’]Vidan, where in the world have you been? :confused:[/quote]



I haven’t released any new addons for him to complain about - Sno

[quote name=‘snorocket’]I haven’t released any new addons for him to complain about - Sno[/QUOTE]

Knowledgebase, reviews …

:stuck_out_tongue:

nah the quote invoice after a long wait (approx: 6mths) has been fixed. that’s why no more complain. that’s it.

[quote name=‘CS-Cart Support team’]Hello Vidan,



Thank you for your interest in our CS-Cart software.



CS-Cart 2.1.5 Edition will not be released in the nearest future because our engineers are working on CS-Cart 2.2.1 Edition hard. This Edition will have some new features and add-ons and it is planned to be released at the end of spring.[/QUOTE]



Hello



Will this new CS-cart build include all the things that are in labs such as Facebook addon, bookmark addon etc etc?



Thanks



B

Hello



This matter is under discussion now. The decision has not been made yet.

[quote name=‘vidan’]nah the quote invoice after a long wait (approx: 6mths) has been fixed. that’s why no more complain. that’s it.[/QUOTE]





I know this is a little off topic but do you no longer get the problem regarding email already existing?





John

There is something more important than new versions to consider right now.



The PHP 5.2 tree has now been discontinued and will no longer be supported.

[URL]PHP: News Archive - 2011



This means that all hosts will ‘finally’ have to upgrade to the 5.3 tree to provide adequate security to its clients and this will cause many problems for CS-Cart users.



Even in CS-Cart v2.1.4 there are still some depreciated PHP functions and directives in use (ereg, eregi, magic_quotes_gpc, magic_quotes_runtime, split, spliti). These are mostly located within some addons and also 3rd party embedded systems so, it wouldn’t be very difficult to correct 2.1.4 and make it fully compatible with PHP 5.3.6 but what about everyone using older versions?



x-cart released patches ‘one year ago’ to make its last 4 versions at that time compatible with PHP 5.3.



php5.3.x-patch-2010-04-12_4.1.12.tgz

php5.3.x-patch-2010-04-12_4.2.0.tgz

php5.3.x-patch-2010-04-12_4.2.1.tgz

php5.3.x-patch-2010-04-12_4.2.2.tgz



This is very important for the CS-Cart developers to do that now as well because, there will be many broken older stores very soon if they are not patched or upgraded before their host upgrades PHP on their servers.



Those who have 3rd party modifications should also be sure they will work with PHP 5.3 and if not, will need to update those as well.

[quote name=‘S-Combs’]There is something more important than new versions to consider right now.



The PHP 5.2 tree has now been discontinued and will no longer be supported.

[URL]PHP: News Archive - 2011



This means that all hosts will ‘finally’ have to upgrade to the 5.3 tree to provide adequate security to its clients and this will cause many problems for CS-Cart users.



Even in CS-Cart v2.1.4 there are still some depreciated PHP functions and directives in use (ereg, eregi, magic_quotes_gpc, magic_quotes_runtime, split, spliti). These are mostly located within some addons and also 3rd party embedded systems so, it wouldn’t be very difficult to correct 2.1.4 and make it fully compatible with PHP 5.3.6 but what about everyone using older versions?



x-cart released patches ‘one year ago’ to make its last 4 versions at that time compatible with PHP 5.3.



php5.3.x-patch-2010-04-12_4.1.12.tgz

php5.3.x-patch-2010-04-12_4.2.0.tgz

php5.3.x-patch-2010-04-12_4.2.1.tgz

php5.3.x-patch-2010-04-12_4.2.2.tgz



This is very important for the CS-Cart developers to do that now as well because, there will be many broken older stores very soon if they are not patched or upgraded before their host upgrades PHP on their servers.



Those who have 3rd party modifications should also be sure they will work with PHP 5.3 and if not, will need to update those as well.[/QUOTE]



Before about a month ago I have asked CS-Cart about possible PHP 5.3 issues and below is their answer:



(Q) I have received the following note from my web host about server PHP 5.3 upgrade:

--------

This email is to inform you that starting July 2011, we will be upgrading PHP on all servers to the latest stable release of PHP 5.3.

--------

Please advise about current/future compatibility of CS-Cart (I’m currently on v.2.1.4 pro) with PHP 5.3?



(A) Most probably your store will work properly. CS-Cart software is compatible with this PHP version. The problem can be caused by the special server settings. For example: Safe mode, Suhosin, mod_security and etc.



:confused: